aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/qemuimage-tests/toolchain/cvs
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/qemuimage-tests/toolchain/cvs')
-rw-r--r--scripts/qemuimage-tests/toolchain/cvs31
1 files changed, 31 insertions, 0 deletions
diff --git a/scripts/qemuimage-tests/toolchain/cvs b/scripts/qemuimage-tests/toolchain/cvs
new file mode 100644
index 0000000000..871d99110f
--- /dev/null
+++ b/scripts/qemuimage-tests/toolchain/cvs
@@ -0,0 +1,31 @@
+#!/bin/bash
+#
+# CVS compile Test for toolchain test
+# The case extract toolchain tarball into temp folder
+# Then compile CVS with the toolchain environment
+#
+# Author: Jiajun Xu <jiajun.xu@intel.com>
+#
+# This file is licensed under the GNU General Public License,
+# Version 2.
+#
+. $COREBASE/scripts/qemuimage-testlib
+
+TIMEOUT=120
+
+# Extract and test toolchain tarball
+Test_Toolchain cvs ${TIMEOUT}
+
+if [ $? -eq 0 ]; then
+ Test_Info "CVS Test PASS"
+ Test_Print_Result "CVS" 0
+ exit 0
+elif [ $? -eq 1 ]; then
+ Test_Info "CVS Test FAIL"
+ Test_Print_Result "CVS" 1
+ exit 1
+else
+ Test_Info "Skip CVS Test due to some configuration problem"
+ Test_Print_Result "CVS" 2
+ exit 2
+fi